import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/u_k_report_labour_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/u_k_report_labour_entity.g.dart';

@JsonSerializable()
class UKReportLabourEntity {
	int total = 0;
	List<UKReportLabourRows> rows = [];

	UKReportLabourEntity();

	factory UKReportLabourEntity.fromJson(Map<String, dynamic> json) => $UKReportLabourEntityFromJson(json);

	Map<String, dynamic> toJson() => $UKReportLabourEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class UKReportLabourRows {
	String? id;
	@JSONField(name: "job_date")
	String? jobDate;
	@JSONField(name: "department_name")
	String? departmentName;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "start_time")
	String? startTime;
	@JSONField(name: "end_time")
	String? endTime;
	@JSONField(name: "need_num")
	int needNum = 0;
	@JSONField(name: "real_num")
	int realNum = 0;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "approved_at")
	String? approvedAt;

	UKReportLabourRows();

	factory UKReportLabourRows.fromJson(Map<String, dynamic> json) => $UKReportLabourRowsFromJson(json);

	Map<String, dynamic> toJson() => $UKReportLabourRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}